package cn.iocoder.yudao.module.identity.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum BatchTypeEnums implements IntArrayValuable {
    HARVEST_BATCH(0, "采收批次"),
    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(BatchTypeEnums::getBatchType).toArray();

    /**
     * 码类型
     */
    private final Integer batchType;

    /**
     * 类型名
     */
    private final String typeName;

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
